Package icyllis.arc3d.vulkan

# Class VulkanAllocation

java.lang.Object
icyllis.arc3d.vulkan.VulkanAllocation

public class VulkanAllocation extends Object
Holds Vulkan memory allocation information.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `kHostCoherent_Flag`
  Memory flags.
  `static final int`
  `kHostVisible_Flag`
  Memory flags.
  `static final int`
  `kLazilyAllocated_Flag`
  Memory flags.
  `long`
  `mAllocation`
  `long`
  `mMappedPointer`
  `long`
  `mMemory`
  `int`
  `mMemoryFlags`
  `long`
  `mOffset`
  `long`
  `mSize`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VulkanAllocation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `int`
  `hashCode()`
  `void`
  `set(VulkanAllocation alloc)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### kHostVisible_Flag

    public static final int kHostVisible_Flag
    Memory flags.
    See Also:
      - Constant Field Values

  - ### kHostCoherent_Flag

    public static final int kHostCoherent_Flag
    Memory flags.
    See Also:
      - Constant Field Values

  - ### kLazilyAllocated_Flag

    public static final int kLazilyAllocated_Flag
    Memory flags.
    See Also:
      - Constant Field Values

  - ### mMemory

    public long mMemory

  - ### mOffset

    public long mOffset

  - ### mSize

    public long mSize

  - ### mMappedPointer

    public long mMappedPointer

  - ### mMemoryFlags

    public int mMemoryFlags

  - ### mAllocation

    public long mAllocation

- ## Constructor Details

  - ### VulkanAllocation

    public VulkanAllocation()

- ## Method Details

  - ### set

    public void set(VulkanAllocation alloc)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`